<!--Static Page Layout-->
<html>
    <head>
        <link rel= "stylesheet" type= "text/css" href= "{{ url_for('static',filename='styles/styles.css') }}">
        <title>{{active_page}}</title>
    </head>
    <!-- Static header for the whole Application-->
    <header>
    <nav class="menu">
        {% set active_page = active_page|default('home') -%}
        <!-- TODO: Template out this menu list -->
            <ol>
                <li class="menu-item">
                <a href="{{ url_for('home') }}" class="{{'active' if active_page == 'home' else ''}}">Home</a>
                </li>
                <li class="menu-item">
                    <a href="{{ url_for('dashboard_app.dashboard') }}"  class="{{'active' if active_page == 'dashboard' else ''}}">Dashboard</a>
                </li>
                <li class="menu-item drop">
                    <a href="{{ url_for('selfservice_app.selfService') }}" class="{{'active' if active_page == 'selfService' else ''}}">Self Service</a>
                    <!-- TODO Template this drop down from the "supported repos" in the settings_xyz.yaml-->
                    </li>
<!--                    <li class="menu-item">
                            <a href="{{ url_for('form') }}" class="{{'active' if active_page == 'form' else ''}}">Form</a>
                        </li>
-->
                    <li class="menu-item">
                        <a href="{{ url_for('admin') }}" class="{{'active' if active_page == 'admin' else ''}}">Admin</a>
                    </li>
                    <li class="menu-item">
                        <!-- TODO template if auth state logged in display logout/settings else show login -->
                            <a href="{{ url_for('login_app.login') }}" class="{{'active' if active_page == 'login' else ''}}">Login</a>
                        </li>
            </ol> 
            </nav>
    </header>
    <main>
        <div class="container-basic">
        {% block body %}
        <!--insert content here -->
        {% endblock %}
    </div>
    </main>
    <footer> 
        <h1 class="headersy">This is a static footer where footer stuff will go</h1></footer>
</html>
